cURL
Create Deposit Form Session
curl --request POST \ --url https://api.enterprise.sandbox.uphold.com/widgets/travel-rule/sessions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "flow": "deposit-form", "data": { "requestForInformationId": "a5280aa4-4bff-4f5c-a0a5-0431771b5705" } } '
201
Deposit Form Session Created
{ "session": { "flow": "deposit-form", "url": "https://travel-rule.enterprise.uphold.com/", "token": "GEbRxBN...edjnXbL", "data": { "provider": "notabene", "parameters": { "init": { "authToken": "eyJhbGc...6oX8QoM", "nodeUrl": "https://api.notabene.id" }, "options": { "proofs": { "fallbacks": [ "self-declaration" ], "reuseProof": true, "deminimis": { "currency": "EUR", "proofTypes": [], "threshold": 1000 } } }, "transaction": { "amountDecimal": 1.23, "asset": "XRP-XRP", "customer": { "name": "John Doe", "type": "natural" }, "source": [ "rDkjqf1YFGjt39ZrRQu9gMqcNEBmcQaXyC" ] } } } } }
Create a new session for the Travel Rule Widget.
Documentation IndexFetch the complete documentation index at: https://developer.uphold.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developer.uphold.com/llms.txt
Use this file to discover all available pages before exploring further.
OAuth 2.0
The flow of the Travel Rule widget session.
deposit-form
The data for the deposit form flow.
Show child attributes
Session created.
Was this page helpful?